///////////////////////////////////////////////////////////////
// Tracker Add-on Example
// by Peter Hinely <phinely@hawaii.edu>
//
// Demonstration of how to migrate the functionality of a 
// Tracker add-on to a separate application so that Tracker 
// stability is not jepardized by bugs in the add-on
///////////////////////////////////////////////////////////////

#ifndef _APP_H_
#define _APP_H_

class App : public BApplication {
	public:
		App();
		~App();
		virtual void MessageReceived(BMessage *msg);
		virtual void RefsReceived(BMessage *message);
		virtual void ReadyToRun();
		
		bool receivedRefs;
};

#endif